Subject: bug#35322: AM_PATH_PYTHON incompatible with Python frameworks on macOS

From: Karl Berry <[email-masked]>
Date: Sat, 13 Mar 2021 16:42:52 -0700

OK, here's a patch to add --with-python_prefix and 
    --with-python_exec_prefix options. It applies on top of my previous patch.

Thanks!  I think the option names would be normal with all hyphens
(e.g., the std option is --exec-prefix, not --exec_prefix), but
I'll just tweak that when I install, obviously trivial.

    setting a custom PYTHON_PREFIX but wanting to keep the automatically
    determined value of PYTHON_EXEC_PREFIX seems like it would be a
    pretty rare scenario.

Fully agreed. Thanks again. -k